Example Przelewy24 Transaction

Create a new Przelewy24 payment transaction.

This is the przelewy24 variant of the generic
Create Transaction entry point;

the request body and response shown below apply to Przelewy24 only.

Note: Przelewy24 can only process PLN transactions, so currency_id must be PLN.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body for a Przelewy24 payment (payment_method = przelewy24).
Przelewy24 provides the widest possible choice of payment methods in the Polish
market. Beside the default parameters you supply the consumer and cartitems
containers. The generic email parameter is required if it is not included in the consumer container.

Note: Przelewy24 can only process PLN transactions, so currency_id must be
PLN.

integer
required
≤ 9999999999

Merchant's site ID.

string
required
length ≤ 255

Valid return URL beginning with http:// or https:// where a consumer will be redirected after payment.

string
length ≤ 255

Optional return URL for pending payments. The url_success will be used if not specified.

string
required
length ≤ 255

Return URL for failed payments.

string
length ≤ 255

Optional return URL for cancelled payments. The url_failure will be used if not specified.

string
length ≤ 255

URL which will receive transaction updates automatically; please check Callback for more information. (recommended)

string
required
length ≤ 255

Unique merchant identification for a transaction.

integer
required
1 to 9999999999

The amount in cents (with no decimal separator).

string
required
^[A-Z]{3}$

Currency in which payment should be effected, expressed using the three-letter international currency code as per ISO-4217.

string
length ≤ 255

The e-mail address of the consumer for this payment. Required if it is not included in the consumer container.

string
required
length ≤ 128

Transaction description which will be presented to the user if supported by the payment method.

string
length ≤ 255

Extra information to store with the transaction.

string
required
length ≤ 64

Consumer's IP address.
Note: although IP6 addresses are supported by CURO, most payment methods (still) don't support it.
Please do not use your own (host) IP as this may cause it to be blocked or throttled!
Private IP ranges will also be refused by this API. Use 0.0.0.0 to indicate unknown.

string
length ≤ 2

ISO country code of the consumer.

string
length ≤ 2

This field enables the issuer's site to select the consumer's preferred language.
Possible options: cz (Czech), hr (Croatian), da/dk (Danish), nl (Dutch), en (English, default),
fr (French), fi (Finnish), de (German), gr (Greek), hu (Hungarian), it (Italian),
no (Norwegian), pl (Polish), pt (Portuguese), ru (Russian), es (Spanish), se (Swedish), tr (Turkish).

string
length ≤ 64

Optional name of the e-commerce platform integrating with the API (e.g. "PHP", "Magento").

string
length ≤ 32

Optional version of the e-commerce platform.

string
length ≤ 64

Optional name of the plugin/integration used.

string
length ≤ 32

Optional version of the plugin/integration used.

consumer
object
required

Consumer and shipping information for this transaction. Some fields are required depending on payment method.

cartitems
array of objects
required

The cart items of the webshop order.

cartitems*
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json